<?php

$id = $_GET['id'];

$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die ('Erreur de connexion '.mysql_error());

mysql_select_db('smartpassTest2',$db) or die ('Erreur de selection '.mysql_error());

$sql = "SHOW TABLES FROM smartpassTest2";
$tables = mysql_query($sql);

echo'
	 <!DOCTYPE html>
        <head>
          <title>Fiche point</title>
          <link rel="stylesheet" href="style.css">
          <meta charset="UTF-8">
        </head>';

echo "<a href='points.php'>Retour à l'accueil</a>";

echo "<h1>Fin de la suppression</h1>";	

while ($row = mysql_fetch_row($tables)) {
	if($row[0]!="Parcours"){		
		$sql = "DELETE FROM {$row[0]} WHERE id = {$id}";
		mysql_query($sql);
		echo "Les données de {$row[0]} ont été supprimées pour le points d'ID {$id}";
		echo "</br>";		
	}
}		

echo "<a href='points.php'>Retour à l'accueil</a>";

?>